<template>
    <div class="container">
        <h2 id="usuarisTrobats">{{numEmpreses}} </h2>
        <button class="success">Add+</button>
        <div class="flex-container">
            <div id="empresa" v-for="empresa in empreses" v-bind:key="empresa.idEmpresa">  
                <a href="http://google.com">
                    <img id="imgUsuari" src="img/user-icon.png">
                    <p>{{empresa.nomEmpresa}}</p>
                </a>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        props: ["ruta"],
        mounted() {
            console.log('Component mounted.')
        },
        data: function() {
            return {
                numEmpreses: null,
                empreses: [],
            }
        },
        methods: {
            getNumEmpreses(){
                axios
                .get(this.ruta + '/api/allEmpreses')
                .then(response =>{
                    this.empreses = response.data;
                    this.numEmpreses = "Empreses trobades: " + this.empreses.length;
                })
            }
        },
        mounted: function(){
            this.getNumEmpreses();
        }
    }
</script>